export type EventSlot = "app:loading"|"app:changed"|"app:error";

/**
 *
 * ███████╗██╗   ██╗███████╗███╗   ██╗████████╗███████╗██╗      ██████╗ ████████╗███████╗
 * ██╔════╝██║   ██║██╔════╝████╗  ██║╚══██╔══╝██╔════╝██║     ██╔═══██╗╚══██╔══╝██╔════╝
 * █████╗  ██║   ██║█████╗  ██╔██╗ ██║   ██║   ███████╗██║     ██║   ██║   ██║   ███████╗
 * ██╔══╝  ╚██╗ ██╔╝██╔══╝  ██║╚██╗██║   ██║   ╚════██║██║     ██║   ██║   ██║   ╚════██║
 * ███████╗ ╚████╔╝ ███████╗██║ ╚████║   ██║   ███████║███████╗╚██████╔╝   ██║   ███████║
 * ╚══════╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝   ╚═╝   ╚══════╝╚══════╝ ╚═════╝    ╚═╝   ╚══════╝
 *
 * Clase que contiene los tipos de eventos que el manejador de eventos puede tomar
 */
export abstract class EventSlots {
    static LOADING: EventSlot = "app:loading";
    static CHANGED: EventSlot = "app:changed";
    static ERROR: EventSlot = "app:error";
}