import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("account.tax.code")
export class AccountTaxCode {

    @OdooField(FieldTypes.ONE2MANY)
    child_ids: any;

    @OdooField(FieldTypes.CHAR)
    code: string;

    @OdooField(FieldTypes.MANY2ONE)
    company_id: string;

    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.CHAR)
    name: string;

    @OdooField(FieldTypes.FLOAT)
    sign: number;

    @OdooField(FieldTypes.FLOAT)
    sum: number;

    @OdooField(FieldTypes.FLOAT)
    sum_period: number;
}