import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("product.attribute.line")
export class ProductAttributeLine {

    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.MANY2MANY)
    value_ids: any;
}