import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("product.attribute")
export class ProductAttribute {
    
    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.CHAR)
    name: string;

    @OdooField(FieldTypes.CHAR)
    type: string;

    @OdooField(FieldTypes.CHAR)
    value_ids: any;
}