import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("product.attribute.value")
export class ProductAttributeValue {

    @OdooField(FieldTypes.INTEGER)
    attribute_id: number;
    
    @OdooField(FieldTypes.CHAR)
    color: string;

    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.CHAR)
    name: string;

    @OdooField(FieldTypes.CHAR)
    price_extra: string;

    @OdooField(FieldTypes.ONE2MANY)
    price_ids: any;

    @OdooField(FieldTypes.MANY2MANY)
    product_ids: any;
}