import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("res.currency", [["name", "in", ["PYG", "BRL", "USD", "EUR"]], ["active", "=", true]])
export class Currency {

    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.CHAR)
    name: string;

    @OdooField(FieldTypes.CHAR)
    symbol: string;

    @OdooField(FieldTypes.SELECTION)
    position: string;

    @OdooField(FieldTypes.FLOAT)
    rate: number;
}