import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("stock.location")
export class StockLocation {

    @OdooField(FieldTypes.ONE2MANY)
    child_ids: any;

    @OdooField(FieldTypes.MANY2ONE)
    company_id: any;

    @OdooField(FieldTypes.CHAR)
    complete_name: string;

    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.MANY2ONE)
    location_id: any;

    @OdooField(FieldTypes.CHAR)
    name: string;

    @OdooField(FieldTypes.INTEGER)
    parent_left: number;

    @OdooField(FieldTypes.INTEGER)
    parent_right: number;

    @OdooField(FieldTypes.MANY2ONE)
    partner_id: any;

    @OdooField(FieldTypes.SELECTION)
    usage: string;
}