import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("stock.warehouse")
export class StockWarehouse {
    
    @OdooField(FieldTypes.CHAR)
    code: string;

    @OdooField(FieldTypes.MANY2ONE)
    company_id: any;

    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.MANY2ONE)
    lot_stock_id: any;

    @OdooField(FieldTypes.CHAR)
    name: string;

    @OdooField(FieldTypes.MANY2ONE)
    partner_id: any;
}