import { MetadataStorage } from "../metadata/metadata-storage";

/**
 *
 *  ██████╗ ███████╗████████╗███╗   ███╗███████╗████████╗ █████╗ ██████╗  █████╗ ████████╗ █████╗ ███████╗████████╗ ██████╗ ██████╗  █████╗  ██████╗ ███████╗
 * ██╔════╝ ██╔════╝╚══██╔══╝████╗ ████║██╔════╝╚══██╔══╝██╔══██╗██╔══██╗██╔══██╗╚══██╔══╝██╔══██╗██╔════╝╚══██╔══╝██╔═══██╗██╔══██╗██╔══██╗██╔════╝ ██╔════╝
 * ██║  ███╗█████╗     ██║   ██╔████╔██║█████╗     ██║   ███████║██║  ██║███████║   ██║   ███████║███████╗   ██║   ██║   ██║██████╔╝███████║██║  ███╗█████╗  
 * ██║   ██║██╔══╝     ██║   ██║╚██╔╝██║██╔══╝     ██║   ██╔══██║██║  ██║██╔══██║   ██║   ██╔══██║╚════██║   ██║   ██║   ██║██╔══██╗██╔══██║██║   ██║██╔══╝  
 * ╚██████╔╝███████╗   ██║   ██║ ╚═╝ ██║███████╗   ██║   ██║  ██║██████╔╝██║  ██║   ██║   ██║  ██║███████║   ██║   ╚██████╔╝██║  ██║██║  ██║╚██████╔╝███████╗
 * ╚═════╝ ╚══════╝   ╚═╝   ╚═╝     ╚═╝╚══════╝   ╚═╝   ╚═╝  ╚═╝╚═════╝ ╚═╝  ╚═╝   ╚═╝   ╚═╝  ╚═╝╚══════╝   ╚═╝    ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝ ╚═════╝ ╚══════╝
 *
 * Registro temporal de metadatos de los modelos
 */
export function getMetadataStorage(): MetadataStorage {
    const globalScope: any = global;

    if (!globalScope.odooMetadataStorage) {
        globalScope.odooMetadataStorage = new MetadataStorage();
    }

    return globalScope.odooMetadataStorage;
}