import { FieldOptions  } from "../options/field-options";

/**
 *  ██████╗ ██████╗  ██████╗  ██████╗ ███████╗██╗███████╗██╗     ██████╗ ███╗   ███╗███████╗████████╗ █████╗ ██████╗  █████╗ ████████╗ █████╗ 
 * ██╔═══██╗██╔══██╗██╔═══██╗██╔═══██╗██╔════╝██║██╔════╝██║     ██╔══██╗████╗ ████║██╔════╝╚══██╔══╝██╔══██╗██╔══██╗██╔══██╗╚══██╔══╝██╔══██╗
 * ██║   ██║██║  ██║██║   ██║██║   ██║█████╗  ██║█████╗  ██║     ██║  ██║██╔████╔██║█████╗     ██║   ███████║██║  ██║███████║   ██║   ███████║
 * ██║   ██║██║  ██║██║   ██║██║   ██║██╔══╝  ██║██╔══╝  ██║     ██║  ██║██║╚██╔╝██║██╔══╝     ██║   ██╔══██║██║  ██║██╔══██║   ██║   ██╔══██║
 * ╚██████╔╝██████╔╝╚██████╔╝╚██████╔╝██║     ██║███████╗███████╗██████╔╝██║ ╚═╝ ██║███████╗   ██║   ██║  ██║██████╔╝██║  ██║   ██║   ██║  ██║
 * ╚═════╝ ╚═════╝  ╚═════╝  ╚═════╝ ╚═╝     ╚═╝╚══════╝╚══════╝╚═════╝ ╚═╝     ╚═╝╚══════╝   ╚═╝   ╚═╝  ╚═╝╚═════╝ ╚═╝  ╚═╝   ╚═╝   ╚═╝  ╚═╝
 *
 * Representa los metadatos de propiedades de un modelo
 */
export interface OdooFieldMetadata {

    readonly target: Function | string;
    readonly fieldName: string;
    readonly options: FieldOptions; 
}