import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("crm.case.stage")
export class CaseStage {

    @OdooField(FieldTypes.BOOLEAN)
    case_default: boolean;

    @OdooField(FieldTypes.CHAR)
    color: string;

    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.CHAR)
    name: string;

    @OdooField(FieldTypes.FLOAT)
    probability: number;

    @OdooField(FieldTypes.SELECTION)
    type: string;
}