import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("crm.phonecall")
export class Phonecall {

    @OdooField(FieldTypes.MANY2ONE)
    categ_id: any;

    @OdooField(FieldTypes.DATETIME)
    date: string;

    @OdooField(FieldTypes.DATETIME)
    date_action_last: string;

    @OdooField(FieldTypes.DATETIME)
    date_action_next: string;

    @OdooField(FieldTypes.DATETIME)
    date_closed: string;

    @OdooField(FieldTypes.DATETIME)
    date_open: string;

    @OdooField(FieldTypes.CHAR)
    description: string;

    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.FLOAT)
    duration: number;

    @OdooField(FieldTypes.CHAR)
    email_from: string;

    @OdooField(FieldTypes.CHAR)
    name: string;

    @OdooField(FieldTypes.MANY2ONE)
    opportunity_id: any;

    @OdooField(FieldTypes.MANY2ONE)
    partner_id: any;

    @OdooField(FieldTypes.CHAR)
    partner_mobile: string;

    @OdooField(FieldTypes.CHAR)
    partner_phone: string;

    @OdooField(FieldTypes.SELECTION)
    priority: string;

    @OdooField(FieldTypes.SELECTION)
    state: string;
}