import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("product.attribute.price")
export class ProductAttributePrice {

    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.FLOAT)
    price_extra: number;

    @OdooField(FieldTypes.MANY2ONE)
    product_tmpl_id: number;

    @OdooField(FieldTypes.MANY2ONE)
    value_id: number;
}