import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("product.pricelist", [["active", "=", true]])
export class PriceList {

    @OdooField(FieldTypes.INTEGER)
    currency_id: number;

    @OdooField(FieldTypes.CHAR)
    display_name: string;

    @OdooField(FieldTypes.CHAR)
    name: string;

    @OdooField(FieldTypes.SELECTION)
    type: string;
}