import { FieldType } from "../types/field";

/**
 *
 * ███████╗██╗███████╗██╗     ██████╗  ██████╗ ██████╗ ████████╗██╗ ██████╗ ███╗   ██╗███████╗
 * ██╔════╝██║██╔════╝██║     ██╔══██╗██╔═══██╗██╔══██╗╚══██╔══╝██║██╔═══██╗████╗  ██║██╔════╝
 * █████╗  ██║█████╗  ██║     ██║  ██║██║   ██║██████╔╝   ██║   ██║██║   ██║██╔██╗ ██║███████╗
 * ██╔══╝  ██║██╔══╝  ██║     ██║  ██║██║   ██║██╔═══╝    ██║   ██║██║   ██║██║╚██╗██║╚════██║
 * ██║     ██║███████╗███████╗██████╔╝╚██████╔╝██║        ██║   ██║╚██████╔╝██║ ╚████║███████║
 * ╚═╝     ╚═╝╚══════╝╚══════╝╚═════╝  ╚═════╝ ╚═╝        ╚═╝   ╚═╝ ╚═════╝ ╚═╝  ╚═══╝╚══════╝
 *
 * Opciones posibles para los tipos de datos de los modelos
 *
 */
export class FieldOptions {

    readonly name?: string;
    readonly type?: FieldType;
    readonly related?: Function;
}