import { Pipe, PipeTransform } from '@angular/core';

/**
 *
 * ██████╗ ███████╗██╗     ███████╗████████╗███████╗██████╗ ██╗████████╗███████╗███╗   ███╗███████╗██████╗ ██╗██████╗ ███████╗
 * ██╔══██╗██╔════╝██║     ██╔════╝╚══██╔══╝██╔════╝██╔══██╗██║╚══██╔══╝██╔════╝████╗ ████║██╔════╝██╔══██╗██║██╔══██╗██╔════╝
 * ██║  ██║█████╗  ██║     █████╗     ██║   █████╗  ██║  ██║██║   ██║   █████╗  ██╔████╔██║███████╗██████╔╝██║██████╔╝█████╗  
 * ██║  ██║██╔══╝  ██║     ██╔══╝     ██║   ██╔══╝  ██║  ██║██║   ██║   ██╔══╝  ██║╚██╔╝██║╚════██║██╔═══╝ ██║██╔═══╝ ██╔══╝  
 * ██████╔╝███████╗███████╗███████╗   ██║   ███████╗██████╔╝██║   ██║   ███████╗██║ ╚═╝ ██║███████║██║     ██║██║     ███████╗
 * ╚═════╝ ╚══════╝╚══════╝╚══════╝   ╚═╝   ╚══════╝╚═════╝ ╚═╝   ╚═╝   ╚══════╝╚═╝     ╚═╝╚══════╝╚═╝     ╚═╝╚═╝     ╚══════╝
 *
 * Pipe que excluye de los items los items que fueron marcados como borrados
 * Obs. Aún no injectado
 */
@Pipe({
    name: "deletedItems"
})   
export class DeletedItemsPipe implements PipeTransform {
    transform(items) {
        console.log(items);
        
        return items;
    }
}